unit uGlobal;

interface

type
  TGLObjectType = (otRoot, otSprite, otHUDSprite, otPoints, otLines, otPlane, otCube, otSphere, otDisk, otCone, otCylinder, otModel);
  TMaterialFace = (mfFront, mfBack);
  TMaterialColor = (mcAmbient, mcDiffuse, mcEmission, mcSpecular);
  TPolygonMode = (pmFill, pmLines, pmPoints);
  TGUIType = ( gtForm, gtPanel, gtLabel, gtButton, gtCheckBox, gtEdit, gtScrollbar );
  TGUIEvent = (caOnClick, caOnChange, caOnMouseMove, caOnMouseEnter, caOnMouseLeave, caOnMouseUp, caOnMouseDown, caOnKeyDown, caOnKeyUp, caOnKeyPress);
  TPointStyle = (psSquare, psRound, psSmooth, psSmoothAdditive, psSquareAdditive);
  TBlendingMode = (bmOpaque, bmTransparency, bmAdditive, bmAlphaTest50, bmAlphaTest100, bmModulate);
  TGLPhysicType = (ptDynamic, ptStatic);
  
var
  PluginLoad: function(FileName: string): boolean; stdcall;
  PluginLoaded: function(FileName: string): boolean; stdcall;
  Call: function(Func: string; Params: array of variant): variant; stdcall;

  function floattostr(I: Double): string;
  function inttostr(I: Integer): string;

implementation

function floattostr(I: Double): string;
begin
  str(i, Result);
end;

function inttostr(I: Integer): string;
begin
  str(i, Result);
end;

end.
